﻿/// <reference path="viewModel.js" />

(function (lightSwitchApplication) {

    var $element = document.createElement("div");

    lightSwitchApplication.AddEditpassengerItem.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.AddEditpassengerItem
        },
        Details: {
            _$class: msls.ContentItem,
            _$name: "Details",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.AddEditpassengerItem,
            data: lightSwitchApplication.AddEditpassengerItem,
            value: lightSwitchApplication.AddEditpassengerItem
        },
        columns: {
            _$class: msls.ContentItem,
            _$name: "columns",
            _$parentName: "Details",
            screen: lightSwitchApplication.AddEditpassengerItem,
            data: lightSwitchApplication.AddEditpassengerItem,
            value: lightSwitchApplication.passengerItem
        },
        left: {
            _$class: msls.ContentItem,
            _$name: "left",
            _$parentName: "columns",
            screen: lightSwitchApplication.AddEditpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: lightSwitchApplication.passengerItem
        },
        name: {
            _$class: msls.ContentItem,
            _$name: "name",
            _$parentName: "left",
            screen: lightSwitchApplication.AddEditpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        age: {
            _$class: msls.ContentItem,
            _$name: "age",
            _$parentName: "left",
            screen: lightSwitchApplication.AddEditpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        Seniorcitizen: {
            _$class: msls.ContentItem,
            _$name: "Seniorcitizen",
            _$parentName: "left",
            screen: lightSwitchApplication.AddEditpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: Boolean
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.AddEditpassengerItem
        }
    };

    msls._addEntryPoints(lightSwitchApplication.AddEditpassengerItem, {
        /// <field>
        /// Called when a new AddEditpassengerItem screen is created.
        /// <br/>created(msls.application.AddEditpassengerItem screen)
        /// </field>
        created: [lightSwitchApplication.AddEditpassengerItem],
        /// <field>
        /// Called before changes on an active AddEditpassengerItem screen are applied.
        /// <br/>beforeApplyChanges(msls.application.AddEditpassengerItem screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.AddEditpassengerItem],
        /// <field>
        /// Called after the Details content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Details_postRender: [$element, function () { return new lightSwitchApplication.AddEditpassengerItem().findContentItem("Details"); }],
        /// <field>
        /// Called after the columns content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        columns_postRender: [$element, function () { return new lightSwitchApplication.AddEditpassengerItem().findContentItem("columns"); }],
        /// <field>
        /// Called after the left content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        left_postRender: [$element, function () { return new lightSwitchApplication.AddEditpassengerItem().findContentItem("left"); }],
        /// <field>
        /// Called after the name content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        name_postRender: [$element, function () { return new lightSwitchApplication.AddEditpassengerItem().findContentItem("name"); }],
        /// <field>
        /// Called after the age content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        age_postRender: [$element, function () { return new lightSwitchApplication.AddEditpassengerItem().findContentItem("age"); }],
        /// <field>
        /// Called to render the Seniorcitizen content item.
        /// <br/>render(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Seniorcitizen_render: [$element, function () { return new lightSwitchApplication.AddEditpassengerItem().findContentItem("Seniorcitizen"); }]
    });

    lightSwitchApplication.Browsepassenger.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.Browsepassenger
        },
        passengerItemList: {
            _$class: msls.ContentItem,
            _$name: "passengerItemList",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.Browsepassenger,
            data: lightSwitchApplication.Browsepassenger,
            value: lightSwitchApplication.Browsepassenger
        },
        passenger: {
            _$class: msls.ContentItem,
            _$name: "passenger",
            _$parentName: "passengerItemList",
            screen: lightSwitchApplication.Browsepassenger,
            data: lightSwitchApplication.Browsepassenger,
            value: {
                _$class: msls.VisualCollection,
                screen: lightSwitchApplication.Browsepassenger,
                _$entry: {
                    elementType: lightSwitchApplication.passengerItem
                }
            }
        },
        rows: {
            _$class: msls.ContentItem,
            _$name: "rows",
            _$parentName: "passenger",
            screen: lightSwitchApplication.Browsepassenger,
            data: lightSwitchApplication.passengerItem,
            value: lightSwitchApplication.passengerItem
        },
        name: {
            _$class: msls.ContentItem,
            _$name: "name",
            _$parentName: "rows",
            screen: lightSwitchApplication.Browsepassenger,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        age: {
            _$class: msls.ContentItem,
            _$name: "age",
            _$parentName: "rows",
            screen: lightSwitchApplication.Browsepassenger,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        Seniorcitizen: {
            _$class: msls.ContentItem,
            _$name: "Seniorcitizen",
            _$parentName: "rows",
            screen: lightSwitchApplication.Browsepassenger,
            data: lightSwitchApplication.passengerItem,
            value: Boolean
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.Browsepassenger
        }
    };

    msls._addEntryPoints(lightSwitchApplication.Browsepassenger, {
        /// <field>
        /// Called when a new Browsepassenger screen is created.
        /// <br/>created(msls.application.Browsepassenger screen)
        /// </field>
        created: [lightSwitchApplication.Browsepassenger],
        /// <field>
        /// Called before changes on an active Browsepassenger screen are applied.
        /// <br/>beforeApplyChanges(msls.application.Browsepassenger screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.Browsepassenger],
        /// <field>
        /// Called after the passengerItemList content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        passengerItemList_postRender: [$element, function () { return new lightSwitchApplication.Browsepassenger().findContentItem("passengerItemList"); }],
        /// <field>
        /// Called after the passenger content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        passenger_postRender: [$element, function () { return new lightSwitchApplication.Browsepassenger().findContentItem("passenger"); }],
        /// <field>
        /// Called after the rows content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        rows_postRender: [$element, function () { return new lightSwitchApplication.Browsepassenger().findContentItem("rows"); }],
        /// <field>
        /// Called after the name content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        name_postRender: [$element, function () { return new lightSwitchApplication.Browsepassenger().findContentItem("name"); }],
        /// <field>
        /// Called after the age content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        age_postRender: [$element, function () { return new lightSwitchApplication.Browsepassenger().findContentItem("age"); }],
        /// <field>
        /// Called after the Seniorcitizen content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Seniorcitizen_postRender: [$element, function () { return new lightSwitchApplication.Browsepassenger().findContentItem("Seniorcitizen"); }]
    });

    lightSwitchApplication.ViewpassengerItem.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.ViewpassengerItem
        },
        Details: {
            _$class: msls.ContentItem,
            _$name: "Details",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.ViewpassengerItem,
            value: lightSwitchApplication.ViewpassengerItem
        },
        columns: {
            _$class: msls.ContentItem,
            _$name: "columns",
            _$parentName: "Details",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.ViewpassengerItem,
            value: lightSwitchApplication.passengerItem
        },
        left: {
            _$class: msls.ContentItem,
            _$name: "left",
            _$parentName: "columns",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: lightSwitchApplication.passengerItem
        },
        name: {
            _$class: msls.ContentItem,
            _$name: "name",
            _$parentName: "left",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        age: {
            _$class: msls.ContentItem,
            _$name: "age",
            _$parentName: "left",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        Seniorcitizen: {
            _$class: msls.ContentItem,
            _$name: "Seniorcitizen",
            _$parentName: "left",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: Boolean
        },
        CreatedBy: {
            _$class: msls.ContentItem,
            _$name: "CreatedBy",
            _$parentName: "left",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        right: {
            _$class: msls.ContentItem,
            _$name: "right",
            _$parentName: "columns",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: lightSwitchApplication.passengerItem
        },
        Created: {
            _$class: msls.ContentItem,
            _$name: "Created",
            _$parentName: "right",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: Date
        },
        ModifiedBy: {
            _$class: msls.ContentItem,
            _$name: "ModifiedBy",
            _$parentName: "right",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: String
        },
        Modified: {
            _$class: msls.ContentItem,
            _$name: "Modified",
            _$parentName: "right",
            screen: lightSwitchApplication.ViewpassengerItem,
            data: lightSwitchApplication.passengerItem,
            value: Date
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.ViewpassengerItem
        }
    };

    msls._addEntryPoints(lightSwitchApplication.ViewpassengerItem, {
        /// <field>
        /// Called when a new ViewpassengerItem screen is created.
        /// <br/>created(msls.application.ViewpassengerItem screen)
        /// </field>
        created: [lightSwitchApplication.ViewpassengerItem],
        /// <field>
        /// Called before changes on an active ViewpassengerItem screen are applied.
        /// <br/>beforeApplyChanges(msls.application.ViewpassengerItem screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.ViewpassengerItem],
        /// <field>
        /// Called after the Details content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Details_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("Details"); }],
        /// <field>
        /// Called after the columns content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        columns_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("columns"); }],
        /// <field>
        /// Called after the left content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        left_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("left"); }],
        /// <field>
        /// Called after the name content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        name_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("name"); }],
        /// <field>
        /// Called after the age content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        age_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("age"); }],
        /// <field>
        /// Called after the Seniorcitizen content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Seniorcitizen_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("Seniorcitizen"); }],
        /// <field>
        /// Called after the CreatedBy content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        CreatedBy_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("CreatedBy"); }],
        /// <field>
        /// Called after the right content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        right_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("right"); }],
        /// <field>
        /// Called after the Created content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Created_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("Created"); }],
        /// <field>
        /// Called after the ModifiedBy content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        ModifiedBy_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("ModifiedBy"); }],
        /// <field>
        /// Called after the Modified content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Modified_postRender: [$element, function () { return new lightSwitchApplication.ViewpassengerItem().findContentItem("Modified"); }]
    });

}(msls.application));